%define ver_major 0.12
%define oname goocanvas
%def_disable static
%define _gtk_docdir %_datadir/gtk-doc/html

Name: lib%oname
Version: %ver_major
Release: alt1
Summary: A new canvas widget for GTK+ that uses cairo for drawing

Group: System/Libraries
License: LGPLv2+
Url: http://sourceforge.net/projects/%oname
Source: %gnome_ftp/%oname/%ver_major/%oname-%version.tar.bz2

BuildPreReq: rpm-build-gnome
# From configure.in
BuildPreReq: libgtk+2-devel >= 2.10.0
BuildPreReq: glib2-devel >= 2.10.0
BuildPreReq: libcairo-devel >= 1.4.0

# Automatically added by buildreq on Sun Aug 10 2008
BuildRequires: gcc-c++ gtk-doc

%description
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for
drawing. It has a model/view split, and uses interfaces for canvas items and
views, so you can easily turn any application object into canvas items.

%package devel
Group: Development/C
Summary: A new canvas widget for GTK+ that uses cairo for drawing
Requires: %name = %version-%release

%description devel
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for
drawing. It has a model/view split, and uses interfaces for canvas items and
views, so you can easily turn any application object into canvas items.

These are the files used for development.

%prep
%setup -q -n %oname-%version

# demo application does not compile properly 
#sed -i -e 's/ demo / /g' Makefile.am Makefile.in

%build
%configure %{subst_enable static}
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %oname

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files -f %oname.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_libdir/%name.so.*

%files devel
%_includedir/%oname-1.0
%_libdir/%name.so
%_pkgconfigdir/*.pc
%doc %_gtk_docdir/*

%changelog
* Mon Oct 27 2008 Alexey Shabalin <shaba@altlinux.ru> 0.12-alt1
- 0.12
- enable back build demo

* Mon Oct 27 2008 Alexey Shabalin <shaba@altlinux.ru> 0.10-alt2
- demo application does not build; remove it

* Sun Aug 10 2008 Alexey Shabalin <shaba@altlinux.ru> 0.10-alt1
- initial build for ALTLinux

